package br.usp.ime.pictware.web.action.manterassinante;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import br.usp.ime.pictware.application.assinante.service.ManterAssinanteService;
import br.usp.ime.pictware.business.assinante.bo.Assinante;
import br.usp.ime.pictware.web.framework.action.Action;
import br.usp.ime.pictware.web.framework.action.ActionForward;
import br.usp.ime.pictware.web.framework.action.ActionMapping;

public class VerificaEmail implements Action{

	public ActionForward execute(ActionMapping actionMapping,
			HttpServletRequest request, HttpServletResponse response) {
		
		String login = request.getParameter("login");
		
		ManterAssinanteService manterAssinanteService = ManterAssinanteService.getInstance();
		Assinante assinante = manterAssinanteService.buscarAssinante(login);

		if (assinante != null){
			return actionMapping.findForward("email-utilizado");
		}
		else{
			return actionMapping.findForward("email-nao-utilizado");
		}
		
	}

}
